Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 23 Dec 2022 01:41:59 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Am very disappointed with the way splash online team is handling customers I ordered for items worth 990Aed. On 21-12-2022 and it was supposed to be delivered today 22rd/12/2022 only to get a message we were unable to deliver without even contacting me at all am traveling and I needed the items today because I don’t av time it’s not the first time this is happening https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5494928